import axios from 'axios'
const request = axios.create({
  method :"GET",
  timeout:2000,
})
// 请求拦截器
request.interceptors.request.use(config => {
  console.log("请求拦截成功")
  // 例如给后端传递token,config是配置参数
  //如有需要：注意使用token的时候需要引入cookie方法或者用本地localStorage等方法，推荐js-cookie
  //const token = getCookie('名称');//这里取token之前，你肯定需要先拿到token,存一下
  //if(token){
  //config.params = {'token':token} //如果要求携带在参数中
  //config.headers.token= token; //如果要求携带在请求头中
  return config
},
  error => {
    console.log('请求拦截失败')
    return Promise.reject(error)
  }
)
// 响应拦截器
request.interceptors.response.use(res => {
  console.log("响应拦截成功")
  if (res.status != 200) {
    return
  } else {
    return res
  }
},
  error => {
    console.log("响应拦截失败")
    return Promise.reject(error)
  }
)
export default (url, method = "GET", params = {}) => {
  return request({
    url,
    method,
    params
  })
}
// export default request


